@import "../calendar-base";

.fc:not(.fc--unstyled) {
	.fc-toolbar.fc-header-toolbar {
		margin: 1em 0px;
		padding: 0 1.5em;
		h2 {
			font-size: 1.2em !important;
			text-transform: capitalize;
		}
	}

	.fc-event {
		border: 5px solid;
		border-right: none;
		border-top: none;
		border-bottom: none;
		border-color: transparent;

		box-shadow: 0 0 0 1px var(--neutral);
		margin: 2px 0px;

		&.green {
			border-color: var(--dark-green-500) !important;
		}

		&.blue {
			border-color: var(--blue-600) !important;
		}

		&.yellow {
			border-color: var(--yellow-500) !important;
		}

		&.grey {
			border-color: var(--gray-600) !important;
		}

		&.darkgray,
		&.darkgrey {
			border-color: var(--dark-gray-600) !important;
		}

		&.red {
			border-color: var(--red-500) !important;
		}

		&.orange {
			border-color: var(--orange-500) !important;
		}
	}

	.fc-daygrid-event.wrapped-title .fc-event-title {
		white-space: normal !important;
		align-items: normal !important;
	}
}

@mixin status-color($color) {
	&::before {
		background: #{$color} !important;
	}
}

.calendar-status-section {
	.green {
		@include status-color(var(--dark-green-500));
	}

	.blue {
		@include status-color(var(--blue-600));
	}

	.yellow {
		@include status-color(var(--yellow-500));
	}

	.grey {
		@include status-color(var(--gray-600));
	}

	.darkgray,
	.darkgrey {
		@include status-color(var(--dark-gray-600));
	}

	.red {
		@include status-color(var(--red-500));
	}

	.orange {
		@include status-color(var(--orange-500));
	}

	.status-color::before {
		content: "";
		display: inline-table;
		height: 4px;
		width: 4px;
		border-radius: 50%;
		margin-right: 6px;
	}
}
